DtSearchReinit(library call)

NAME
DtSearchReinit — Reinitialize the DtSearch online API

SYNOPSIS

#include &<Dt/Search.h>
int DtSearchReinit(
char ***dbnames,
int *dbcount);

DESCRIPTION

DtSearchReinit closes and reopens databases and other files as necessary, and reinitializes the search engine API.

It is typically used after either databases or the ocf file have been externally changed to force the search engine to reinitialize itself, and to acquire the new database names if any.

It can also be used after any function returns DtSrREINIT to acquire the new database names.

ARGUMENTS

dbnames
    Specifies the address where a pointer to an array of static database name string pointers will be placed. The dbnames pointer from a previous DtSearchInit or DtSearchReinit may no longer be valid. Each string identifies a single successfully opened database.

    A database name string from this array is required for most other API function calls. The dbn member in DtSrResult is an index into this array.

dbcount
    Specifies a pointer where the size of the dbnames array will be stored.

RETURN VALUE

DtSearchReinit returns DtSrOK and the current dbnames array if the reinitialization was successful or if reinitialization was not necessary.

It returns DtSrERROR and messages on the MessageList on any other condition.

SEE ALSO

DtSrAPI(3), DtSearchInit(3), DtSearchGetMessages(3), dtsrocffile(4), DtSearch(5)